SET DEFINE OFF;
CREATE TABLE COMPTEFI.BILAN_DGFIP_ACTIF
(
  BA_ORDRE         NUMBER                       NOT NULL,
  GROUPE1          VARCHAR2(50 BYTE),
  GROUPE2          VARCHAR2(50 BYTE),
  LIBELLE          VARCHAR2(100 BYTE),
  MONTANT_BRUT     NUMBER(12,2),
  AMORT_PROV       NUMBER(12,2),
  MONTANT_NET      NUMBER(12,2),
  MONTANT_NET_ANT  NUMBER(12,2),
  GES_CODE         VARCHAR2(10 BYTE)            NOT NULL,
  EXE_ORDRE        NUMBER(4)                    NOT NULL
)
TABLESPACE GFC;


CREATE TABLE COMPTEFI.BILAN_DGFIP_PASSIF
(
  BP_ORDRE     NUMBER                           NOT NULL,
  GROUPE1      VARCHAR2(50 BYTE),
  GROUPE2      VARCHAR2(50 BYTE),
  LIBELLE      VARCHAR2(100 BYTE),
  MONTANT      NUMBER(12,2),
  MONTANT_ANT  NUMBER(12,2),
  GES_CODE     VARCHAR2(10 BYTE)                NOT NULL,
  EXE_ORDRE    NUMBER(4)                        NOT NULL
)
TABLESPACE GFC
;


CREATE UNIQUE INDEX COMPTEFI.PK_BILAN_DGFIP_ACTIF ON COMPTEFI.BILAN_DGFIP_ACTIF
(BA_ORDRE)
TABLESPACE GFC_INDX;


CREATE UNIQUE INDEX COMPTEFI.PK_BILAN_DGFIP_PASSIF ON COMPTEFI.BILAN_DGFIP_PASSIF
(BP_ORDRE)
TABLESPACE GFC_INDX;


ALTER TABLE COMPTEFI.BILAN_DGFIP_ACTIF ADD (
  CONSTRAINT PK_BILAN_DGFIP_ACTIF
 PRIMARY KEY
 (BA_ORDRE)
    USING INDEX 
    TABLESPACE GFC_INDX
    );


ALTER TABLE COMPTEFI.BILAN_DGFIP_PASSIF ADD (
  CONSTRAINT PK_BILAN_DGFIP_PASSIF
 PRIMARY KEY
 (BP_ORDRE)
    USING INDEX 
    TABLESPACE GFC_INDX
   );
   

CREATE SEQUENCE COMPTEFI.SEQ_BILAN_DGFIP_PASSIF
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;



CREATE SEQUENCE COMPTEFI.SEQ_BILAN_DGFIP_ACTIF
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;   